<qwc-blade>
    <blade-title>
        Checkin Sample
    </blade-title>
    <blade-actions>
        <button (click)="showFileDialog()" qwc-btn>
            <i class="material-icons">add</i>
            File Upload
        </button>
        <button (click)="showFolderDialog()" qwc-btn>
            <i class="material-icons">add</i>
            Folder Upload
        </button>
    </blade-actions>
    <blade-content>
        <qpp-collection-browse></qpp-collection-browse>
        <qpp-asset-checkin [show]="uploadTypeToBeShown$" [assetId]="saveRevisionAssetId" (progress)="showCheckinProgress($event)">
        </qpp-asset-checkin>
        <qpp-asset-checkin-progress [checkinStatus]="checkinStatus"></qpp-asset-checkin-progress>
    </blade-content>
</qwc-blade>